#
# spec file for package rubygem-mustache
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-mustache
Version:        1.1.1
Release:        1.20
%define mod_name mustache
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            https://github.com/mustache/mustache
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Mustache is a framework-agnostic way to render logic-free views
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Inspired by ctemplate, Mustache is a framework-agnostic way to render
logic-free views.
As ctemplates says, "It emphasizes separating logic from presentation:
it is impossible to embed application logic in this template
language.
Think of Mustache as a replacement for your views. Instead of views
consisting of ERB or HAML with random helpers and arbitrary logic,
your views are broken into two parts: a Ruby class and an HTML
template.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.1.1
  no changelog found
* Sat Dec  8 2018 Stephan Kulow <coolo@suse.com>
- updated to version 1.1.0
  no changelog found
* Mon Mar 27 2017 coolo@suse.com
- updated to version 1.0.5
  no changelog found
* Fri Mar 24 2017 coolo@suse.com
- updated to version 1.0.4
  no changelog found
* Wed Apr  6 2016 coolo@suse.com
- updated to version 1.0.3
  no changelog found
* Thu Jun 25 2015 coolo@suse.com
- updated to version 1.0.2
  no changelog found
* Tue Feb 24 2015 coolo@suse.com
- updated to version 1.0.1
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.0.0
* Fri Nov 14 2014 mrueckert@suse.de
- update to 0.99.7
  https://github.com/mustache/mustache/compare/v0.99.5...v0.99.7
* Tue Sep 30 2014 mrueckert@suse.de
- update to new packaging scheme and add gem2rpm.yml
* Fri Nov 22 2013 coolo@suse.com
- updated to version 0.99.5
* Sat Mar 24 2012 berendt@b1-systems.de
- initial version created with gem2rpm
